namespace BPA.MES.Base.Application.Services
{
    /// <summary>
    /// 名    称 ：设备产品基础信息  
    /// 创 建 人 ：yangxiao  
    /// 创建时间 ：  2023/8/2 16:19:35 
    /// 描    述 ：  
    /// </summary>
    public interface IDeviceProductService
    {
        /// <summary>
        /// 增加
        /// </summary>
        /// <returns></returns>
        Task<bool> Add(DeviceProductAddInput input);
        /// <summary>
        /// 删除
        /// </summary>
        /// <returns></returns>
        Task<bool> Del(DeviceProductDelInput input);
        /// <summary>
        /// 更新
        /// </summary>
        /// <returns></returns>
        Task<bool> Update(DeviceProductUpdateInput input);
        /// <summary>
        /// 不分页列表
        /// </summary>
        /// <returns></returns>
        Task<List<DeviceProductOutput>> List(DeviceProductQueryInput input);
        /// <summary>
        /// 分页列表
        /// </summary>
        /// <returns></returns>
        Task<SqlSugarPagedList<DeviceProductOutput>> PagedList(DeviceProductQueryPageInput input);
        /// <summary>
        /// 下拉列表
        /// </summary>
        /// <returns></returns>
        Task<dynamic> SelectList();
        /// <summary>
        /// 查询单条
        /// </summary>
        /// <param name="Id"></param>
        /// <returns></returns>
        Task<DeviceProductOutput> Detail(string Id);
    }
}
